%define name abuledu-espace
%define version 1.0.3
%define release 1
%define execname espace.tcl
%define execpublicname espace
%define abuledu_dest /usr/share/abuledu/applications

Summary: Espace: permet de mesurer le degr de matrise de quelques notions d'espace
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3
Requires: tcl > 8.3, tk > 8.3, abuledu-leterrier >= 0.1

%description
        Evaluation  l'cole primaire - septembre 2001

- Evaluation et aide aux apprentissages en grande section de maternelle et en cours prparatoire.
- Identification des comptences et reprage des difficults des lves.

2. Description : 
Pour l'lve, ce logiciel permet de mesurer le degr de matrise de quelques notions d'espace. La tche pour l'l
ve consiste  dsigner  l'aide de la souris une image correspondant  la consigne donne dans une srie de troi
s ou quatre.
A chaque srie est associ une notion spatiale :
- devant /derrire
-  la droite de /  la gauche de
- entre
- vu  droite de / vu  gauche de
- au-dessus de / au-dessous de

Pour l'enseignant(e), le logiciel permet de :
- d'avoir un bilan du travail des lves (par nom). (non implant, en cours...)

eric.seigne@servecole:~/tmp/espace/mandrake$ more ../aide.txt 
1. Introduction
Ce logiciel est fortement inspir du document ministriel :

        Evaluation  l'cole primaire - septembre 2001

- Evaluation et aide aux apprentissages en grande section de maternelle et en cours prparatoire.
- Identification des comptences et reprage des difficults des lves.

2. Description : 
Pour l'lve, ce logiciel permet de mesurer le degr de matrise de quelques notions d'espace. La tche pour l'lve consis
te  dsigner  l'aide de la souris une image correspondant  la consigne donne dans une srie de trois ou quatre.
A chaque srie est associ une notion spatiale :
- devant /derrire
-  la droite de /  la gauche de
- entre
- vu  droite de / vu  gauche de
- au-dessus de / au-dessous de

Pour l'enseignant(e), le logiciel permet de :
- d'avoir un bilan du travail des lves (par nom). (non implant, en cours...)

On pourra ainsi mieux voir ce qui ne ncessite pas une attention particulire et ce qui doit tre plus particulirement rev
u et travaill dans diverses situations pdagogiques au cours des mois suivants.

En fin de 2e trimestre de GS de maternelle :
- Pour la notion "devant", 90% des enfants donnent la rponse attendue.
- Les notions "entre" et "au-dessous" sont acquises par plus de 80% des lves.
- La notion "droite" doit faire l'objet d'une validation ultrieure.

Contacts : andre.connes@toulouse.iufm.fr

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
%attr(1777, root, root) /var/leterrier/%{execpublicname}

%changelog
* Sat Dec 6 2003 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.3-1
- teste la prsence du fichier trace
- modification de message :
  clique sur la poule qui est  LA droite de ...

* Mon Jun  2 2003 Eric Seigne <erics@rycks.com> 1.0.1-2
- bug for var directory

* Sun May 11 2003 Eric Seigne <erics@rycks.com> 1.0.1
- New release, affichage des images en surimpression en fonction des rponses

* Sat Feb 15 2003 Eric Seigne <erics@rycks.com> 0.0.1
- First Release
